### Function

# GdkPixbuf Pixbuf get_file_info_finish

#### Declaration [src]

    GdkPixbufFormat*
    gdk_pixbuf_get_file_info_finish (
      GAsyncResult* async_result,
      gint* width,
      gint* height,
      GError** error
    )

#### Description [src]

Finishes an asynchronous pixbuf parsing operation started with gdk_pixbuf_get_file_info_async().

Available since: | 2.32

#### Parameters

`async_result` | `GAsyncResult`
| A `GAsyncResult`
| The data is owned by the caller of the function.
`width` | `gint*`
| Return location for the width of the image, or `NULL`
| The argument will be set by the function.
`height` | `gint*`
| Return location for the height of the image, or `NULL`
| The argument will be set by the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GdkPixbufFormat`
| A `GdkPixbufFormat` describing the image format of the file.
| The data is owned by the called function.
| The return value can be `NULL`.